//
//  CurrentInputController.h
//  CurrentInput
//
//  Created by Phidgets on 2015-07-30.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface CurrentInputController : NSObject <NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetCurrentInputHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Device Settings
    IBOutlet NSBox *settingsBox;
    IBOutlet NSTextField *changeTriggerText;
    IBOutlet NSTextField *minChangeTriggerLabel;
    IBOutlet NSTextField *maxChangeTriggerLabel;
    IBOutlet id changeTriggerSlider;
    IBOutlet NSTextField *dataIntervalText;
    IBOutlet NSTextField *minDataIntervalLabel;
    IBOutlet NSTextField *maxDataIntervalLabel;
    IBOutlet id dataIntervalSlider;
    //Power Supply
    IBOutlet NSBox *powerSupplyBox;
	IBOutlet NSPopUpButton *powerSupplyCombo;
    //Data
    IBOutlet NSBox *dataBox;
    IBOutlet NSTextField *currentText;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}

@end
